import 'package:ecosim/main_screen.dart';
import 'package:flutter/material.dart';
import 'package:shadcn_ui/shadcn_ui.dart';

class SimulationApp extends StatelessWidget {
  const SimulationApp({super.key});

  @override
  Widget build(BuildContext context) {
    return ShadApp(
      debugShowCheckedModeBanner: false,
      themeMode: ThemeMode.dark,
      darkTheme: ShadThemeData(
        brightness: Brightness.dark,
        colorScheme: const ShadColorScheme(
          background: Colors.black,
          foreground: Colors.white,
          card: Colors.black,
          cardForeground: Colors.white,
          popover: Colors.grey,
          popoverForeground: Colors.grey,
          primary: Colors.white,
          primaryForeground: Colors.black,
          secondary: Colors.yellow,
          secondaryForeground: Colors.green,
          muted: Colors.grey,
          mutedForeground: Colors.grey,
          accent: Color.fromARGB(255, 39, 39, 42),
          accentForeground: Colors.white,
          destructive: Colors.red,
          destructiveForeground: Colors.white,
          border: Colors.white,
          input: Colors.white,
          ring: Colors.black,
          selection: Color.fromARGB(255, 64, 64, 69),
        ),
      ),
      // showPerformanceOverlay: true,
      home: const MainScreen(),
    );
  }
}
